--couleur
violet = Color.new(166, 43, 219)
rouge = Color.new(200, 22, 22)

--police
font3 = Font.load("./police/police3.ttf")
font4 = Font.load("./police/police3.ttf")
font3:setPixelSizes(20,20)
font4:setPixelSizes(70,70)

--images
image = Image.load("./images/image.png")
francais = Image.load("./images/francais.png")
anglais = Image.load("./images/anglais.png")
francais2 = Image.load("./images/francais2.png")
anglais2 = Image.load("./images/anglais2.png")
re_fr = Image.load("./images/re_fr.png")
voir_fr = Image.load("./images/voir_fr.png")
genesis = Image.load("./images/genesis.png")
fader = Image.load("./images/genesis.png")
demarage = Image.load("./images/demarage.png")
gene = Image.load("./images/gene.png")
re_an = Image.load("./images/re_an.png")
voir_an = Image.load("./images/voir_an.png")

--splash screen
alphaValue = 255
faderColor = Color.new(0,0,0,alphaValue) 
fader:clear(faderColor)

--annimation menu
size = 4
zMax = 3
vitesse = 0.05
largeur = 460
hauteur = 272
ecran = {}
math.randomseed(os.time())

function creeMine(i)
	ecran[i] = {}
	ecran[i].x = math.random(2*largeur) - largeur
	ecran[i].y = math.random(2*hauteur) - hauteur
	ecran[i].z = zMax	
end

for i = 1, size do
	creeMine(i)
	ecran[i].z = math.random(zMax)
end

oldpad = Controls.read()


while true do 
    screen:clear() 
    screen:blit(0,0,genesis) 
    screen:blit(0,0,fader) 

if alphaValue > 0 then 
    alphaValue = alphaValue - 3
		
	for i = 1, size do
		ecran[i].z = ecran[i].z - vitesse
        if ecran[i].z < vitesse then 
		    creeMine(i) 
		end
		    x = largeur / 2 - ecran[i].x / ecran[i].z
		    y = hauteur / 2 - ecran[i].y / ecran[i].z
		if x < -40 or y < -40 or x >= largeur or y >= hauteur then
		    creeMine(i)
		else
			screen:blit(x, y, gene) 
		end
	end
	
else 
    break 
end 

    faderColor = Color.new(0,0,0,alphaValue) 
    fader:clear(faderColor) 
    screen.waitVblankStart() 
    screen.flip() 
end 





while true do 
    screen:clear() 
    screen:blit(0,0,genesis) 
    screen:blit(0,0,fader) 

if alphaValue < 255 then 
    alphaValue = alphaValue + 3
	
	for i = 1, size do
		    ecran[i].z = ecran[i].z - vitesse
		if ecran[i].z < vitesse then 
		    creeMine(i) 
		end
		x = largeur / 2 - ecran[i].x / ecran[i].z
		y = hauteur / 2 - ecran[i].y / ecran[i].z
		if x < -40 or y < -40 or x >= largeur or y >= hauteur then
			creeMine(i)
		else
			screen:blit(x, y, gene) 
	end
end
	
else 
    break
end 

    faderColor = Color.new(0,0,0,alphaValue) 
    fader:clear(faderColor) 
    screen.waitVblankStart() 
    screen.flip() 
end 




while true do 
    screen:clear() 
    screen:blit(0,0,demarage) 
    screen:blit(0,0,fader) 
 
if alphaValue > 0 then 
    alphaValue = alphaValue - 3
else 
    dofile("langue.lua")
end 


if alphaValue > 1 then 
	
	for i = 1, size do
		    ecran[i].z = ecran[i].z - vitesse
		if ecran[i].z < vitesse then 
		    creeMine(i) 
		end
		x = largeur / 2 - ecran[i].x / ecran[i].z
		y = hauteur / 2 - ecran[i].y / ecran[i].z
		if x < -40 or y < -40 or x >= largeur or y >= hauteur then
			creeMine(i)
		else
			screen:blit(x, y, gene) 
		end
	end
	
end


    faderColor = Color.new(0,0,0,alphaValue) 
    fader:clear(faderColor) 
    screen.waitVblankStart() 
    screen.flip() 
end
    

	


	
		
	
